Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Typedefs | Functions
cls_64byte.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Data Structures
struct | cls_struct_64byte

## Typedefs
typedef struct cls_struct_64byte | cls_struct_64byte

## Functions
cls_struct_64byte | cls_struct_64byte_fn (struct cls_struct_64byte b0, struct cls_struct_64byte b1, struct cls_struct_64byte b2, struct cls_struct_64byte b3)
int | main (void)

## Typedef Documentation

## ◆ cls_struct_64byte

typedef struct cls_struct_64byte cls_struct_64byte

## Function Documentation

## ◆ cls_struct_64byte_fn()

cls_struct_64byte cls_struct_64byte_fn | ( | struct cls_struct_64byte | b0,
|  | struct cls_struct_64byte | b1,
|  | struct cls_struct_64byte | b2,
|  | struct cls_struct_64byte | b3
| ) |  |

Definition at line 23 of file cls_64byte.c.

Referenced by main().

## ◆ main()

int main | ( | void |  | ) |

Definition at line 59 of file cls_64byte.c.

References cls_struct_64byte::a, cls_struct_64byte::b, cls_struct_64byte::c, CHECK, cls_struct_64byte_fn(), cls_struct_64byte::d, cls_struct_64byte::e, cls_struct_64byte::f, ffi_call(), FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_prep_closure_loc(), cls_struct_64byte::g, cls_struct_64byte::h, NULL, and printf().